<?php
declare(strict_types=1);

namespace App\Framework\Meta;

final class StaticPageMetaResolver implements MetaResolver
{
    public function __construct(
        public string $title,
        public string $description,
        #public Keywords $keywords,
    ) {}

    public function __invoke(): MetaData
    {
        return new MetaData(
            $this->title,
            $this->description,
            #$this->keywords,
            new OpenGraphTypeWebsite
        );
    }
}
